var BlockClass = function(ownerStage, args)
{
	//args[imgName]
	BlockClass.base.apply(this, arguments);
	if(args[0]){
		var img = document.createElement('img');
		img.src = "images/" + args[0];
		this.image = img;
	} else{
		this.image = null;
	}
}.extend(StageObject, {
	draw: function(x, y){
		if(this.image){
			this.ownerStage.mainContext.save();
			this.ownerStage.mainContext.globalAlpha = this.opacity;
			this.ownerStage.mainContext.drawImage(this.image, x, y, this.size.x, this.size.y);
			this.ownerStage.mainContext.restore();
		}
	},
});
//このクラスのインスタンスのtickを呼び出さないように設定（高速化）
BlockClass.tick = function(){return false;};

